summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--gnome-base/nautilus/files/nautilus-3.18.2-automagic-selinux.patch47
-rw-r--r--gnome-base/nautilus/nautilus-3.18.2-r1.ebuild123
2 files changed, 170 insertions, 0 deletions
diff --git a/gnome-base/nautilus/files/nautilus-3.18.2-automagic-selinux.patch b/gnome-base/nautilus/files/nautilus-3.18.2-automagic-selinux.patch
new file mode 100644
index 00000000000..0f769fc339e
--- /dev/null
+++ b/gnome-base/nautilus/files/nautilus-3.18.2-automagic-selinux.patch
@@ -0,0 +1,47 @@
+From bfdedc2f762027ec9a50fda659d66720718bb28d Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Wed, 25 Nov 2015 09:23:51 +0100
+Subject: [PATCH] Make libselinux dependency controllable by configure switch
+
+---
+ configure.ac | 23 ++++++++++++-----------
+ 1 file changed, 12 insertions(+), 11 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 777ff84..37a65ba 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -140,18 +140,19 @@ dnl ==========================================================================
+ dnl ****************************
+ dnl *** Check for libselinux ***
+ dnl ****************************
+-
+-SELINUX_LIBS=
++
+ msg_selinux=no
+-AC_CHECK_LIB(selinux, is_selinux_enabled,
+- [AC_CHECK_HEADERS(selinux/selinux.h,
+- [AC_SEARCH_LIBS(selinux_raw_to_trans_context, selinux,
+- [AC_DEFINE(HAVE_SELINUX, 1, [Define to 1 if libselinux is available])
+- SELINUX_LIBS="-lselinux"
+- msg_selinux=yes])
+- ])
+- ])
+-AC_SUBST(SELINUX_LIBS)
++
++AC_ARG_ENABLE([selinux],
++ [AS_HELP_STRING([--enable-selinux],
++ [Enable selinux support])])
++AS_IF([test "$enable_selinux" != "no"],
++ [PKG_CHECK_MODULES([SELINUX], [libselinux >= 2.0],
++ [
++ AC_DEFINE([HAVE_SELINUX], [1], [Define to 1 if libselinux is available])
++ msg_selinux=yes
++ ])
++ ])
+
+
+ AC_ARG_ENABLE(empty_view,
+--
+2.6.3
+
diff --git a/gnome-base/nautilus/nautilus-3.18.2-r1.ebuild b/gnome-base/nautilus/nautilus-3.18.2-r1.ebuild
new file mode 100644
index 00000000000..6a37227e3fe
--- /dev/null
+++ b/gnome-base/nautilus/nautilus-3.18.2-r1.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes" # Needed with USE 'sendto'
+
+inherit eutils gnome2 readme.gentoo virtualx
+
+DESCRIPTION="A file manager for the GNOME desktop"
+HOMEPAGE="https://wiki.gnome.org/Apps/Nautilus"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1"
+SLOT="0"
+
+# profiling?
+IUSE="exif gnome +introspection packagekit +previewer sendto tracker xmp"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
+
+# FIXME: tests fails under Xvfb, but pass when building manually
+# "FAIL: check failed in nautilus-file.c, line 8307"
+RESTRICT="test"
+
+# FIXME: selinux support is automagic
+# Require {glib,gdbus-codegen}-2.30.0 due to GDBus API changes between 2.29.92
+# and 2.30.0
+COMMON_DEPEND="
+ >=dev-libs/glib-2.45.7:2[dbus]
+ >=x11-libs/pango-1.28.3
+ >=x11-libs/gtk+-3.17.5:3[introspection?]
+ >=dev-libs/libxml2-2.7.8:2
+ >=gnome-base/gnome-desktop-3:3=
+
+ gnome-base/dconf
+ >=gnome-base/gsettings-desktop-schemas-3.8.0
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrender
+
+ exif? ( >=media-libs/libexif-0.6.20 )
+ introspection? ( >=dev-libs/gobject-introspection-0.6.4:= )
+ tracker? ( >=app-misc/tracker-0.16:= )
+ xmp? ( >=media-libs/exempi-2.1.0 )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=dev-util/gdbus-codegen-2.33
+ >=dev-util/gtk-doc-am-1.10
+ >=dev-util/intltool-0.40.1
+ sys-devel/gettext
+ virtual/pkgconfig
+ x11-proto/xproto
+"
+RDEPEND="${COMMON_DEPEND}
+ packagekit? ( app-admin/packagekit-base )
+ sendto? ( !<gnome-extra/nautilus-sendto-3.0.1 )
+"
+
+# For eautoreconf
+# gnome-base/gnome-common
+# dev-util/gtk-doc-am"
+
+PDEPEND="
+ gnome? (
+ >=x11-themes/gnome-icon-theme-1.1.91
+ x11-themes/gnome-icon-theme-symbolic )
+ tracker? ( >=gnome-extra/nautilus-tracker-tags-0.12 )
+ previewer? ( >=gnome-extra/sushi-0.1.9 )
+ sendto? ( >=gnome-extra/nautilus-sendto-3.0.1 )
+ >=gnome-base/gvfs-1.14[gtk]
+"
+# Need gvfs[gtk] for recent:/// support
+
+src_prepare() {
+ if use previewer; then
+ DOC_CONTENTS="nautilus uses gnome-extra/sushi to preview media files.
+ To activate the previewer, select a file and press space; to
+ close the previewer, press space again."
+ fi
+
+ # Remove -D*DEPRECATED flags. Don't leave this for eclass! (bug #448822)
+ sed -e 's/DISABLE_DEPRECATED_CFLAGS=.*/DISABLE_DEPRECATED_CFLAGS=/' \
+ -i configure || die "sed failed"
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS HACKING MAINTAINERS NEWS README* THANKS"
+ gnome2_src_configure \
+ --disable-profiling \
+ --disable-update-mimedb \
+ $(use_enable exif libexif) \
+ $(use_enable introspection) \
+ $(use_enable packagekit) \
+ $(use_enable sendto nst-extension) \
+ $(use_enable tracker) \
+ $(use_enable xmp)
+}
+
+src_test() {
+ gnome2_environment_reset
+ unset DBUS_SESSION_BUS_ADDRESS
+ export GSETTINGS_BACKEND="memory"
+ Xemake check
+ unset GSETTINGS_BACKEND
+}
+
+src_install() {
+ use previewer && readme.gentoo_create_doc
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if use previewer; then
+ readme.gentoo_print_elog
+ else
+ elog "To preview media files, emerge nautilus with USE=previewer"
+ fi
+}